Page MenuHomePhabricator

Protection log time/expiry uses UTC
Closed, ResolvedPublic

Description

Author: dalibor.bosits

Description:
Hi, this is protection log (example):

14:37, 13. listopada 2009. Dalibor Bosits (Razgovor | doprinosi | blokiraj) članak "Wikipedija:Stranica za vježbanje" je zaštićen [edit=autoconfirmed] (istječe 13:37, 13. listopada 2009. (UTC)) [move=autoconfirmed] (istječe 13:37, 13. listopada 2009. (UTC)) ‎ (ovo je test (1 sat)) (pov | promijeni stupanj zaštite)

This example page is protected at 14:37, with expiry of 1 hour. In the log it says it will expire at 13:37, instead 15:37.

Expiry is it seems defined by server time (at that time server time was 12:37), and local time at hr.wikipedia is UTC+2

This does not affect actual protection time, only expiry time displayed. Can it be fixed?

Haley


Version: unspecified
Severity: minor
URL: http://hr.wikipedia.org

Details

Reference
bz21127

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:56 PM
bzimport set Reference to bz21127.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Oct 13 2009, 1:09 PM
brion added a comment.Oct 14 2009, 5:31 PM

That log entry seems to correctly mark the expiry time as UTC, which is correct... but it probably ought to be using the server default time as used for signatures etc.

Or better yet, format those using end-user timestamp... but this would require changing the log format to list the times and data out, then format them at view time. (Currently that whole chunk is built at save time, eg '[edit=autoconfirmed] (istječe 13:37, 13. listopada 2009. (UTC)) [move=autoconfirmed] (istječe 13:37, 13. listopada 2009. (UTC))')

(In reply to comment #1)

Or better yet, format those using end-user timestamp... but this would require
changing the log format to list the times and data out, then format them at
view time. (Currently that whole chunk is built at save time, eg
'[edit=autoconfirmed] (istječe 13:37, 13. listopada 2009. (UTC))
[move=autoconfirmed] (istječe 13:37, 13. listopada 2009. (UTC))')

that is bug 15897

Block has same problem: bug 28459.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 18 2015, 4:07 AM
Umherirrender closed this task as Resolved.Nov 10 2015, 7:39 PM
Umherirrender claimed this task.
Umherirrender added a subscriber: Umherirrender.

This was fixed with the protect log rewrite in T47988

Meno25 removed a subscriber: Meno25.Nov 29 2015, 7:27 PM